{
  "schema_version": "1.4.0",
  "id": "GHSA-f7wf-fwmg-r7g3",
  "modified": "2025-04-09T03:56:15Z",
  "published": "2022-05-01T23:49:31Z",
  "aliases": [
    "CVE-2008-2376"
  ],
  "details": "Integer overflow in the rb_ary_fill function in array.c in Ruby before revision 17756 allows context-dependent attackers to cause a denial of service (crash) or possibly have unspecified other impact via a call to the Array#fill method with a start (aka beg) argument greater than ARY_MAX_SIZE.  NOTE: this issue exists because of an incomplete fix for other closely related integer overflows.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-2376"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2008:0561"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2008:0562"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2008-2376"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=453589"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-2639"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9863"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/651-1"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00112.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00161.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce//2008/Sep/msg00005.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30927"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31006"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31062"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31090"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31181"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31256"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32219"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33178"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200812-17.xml"
    },
    {
      "type": "WEB",
      "url": "http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=17756"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/Advisories:rPSA-2008-0218"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0218"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1612"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1618"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:140"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:141"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:142"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2008/07/02/3"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0561.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/494104/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA08-260A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/2584"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-07-09T00:41:00Z"
  }
}